IBM Support

WebSphere MQ V7.0.1.0 for i5/OS

Question & Answer


Question

How can you obtain WebSphere MQ (WMQ) V7.0.1.0 for i5/OS?

Answer


As of August 28, 2009, the IBM WebSphere MQ Version 7 (WMQ V7) product is updated to include several new features. This update includes changes to WMQ commands, panels, messages, and the set of National Language Versions which WMQ supports. As a result of these changes, the product's modification number is incremented to VRM 7.0.1.

For more information about these new features please refer to
Announcement Letter: IBM WebSphere MQ V7.0 is enhanced with increased availability, security, and governance

Effective with WMQ 7.0.1 availability, the existing WebSphere MQ V7 product media and download packages provided via IBM Passport Advantage will be refreshed to provide WebSphere MQ V7.0.1 level code.

If you had previously ordered one or more WMQ V7 licenses (received 7.0.0 media), you are automatically entitled to request WMQ V7.0.1 media. Prior to installing WMQ V7.0.1, use the following SAVLICPGM commands and savefiles (or other device) to save your existing V7 installation... as doing so will enable you to easily return to the V70.0.x level you were using, should the need arise:
CRTSAVF QGPL/WMQV7BASE
CRTSAVF QGPL/WMQV7OPT1
CRTSAVF QGPL/WMQV7JBASE
CRTSAVF QGPL/WMQV7JOPT1
SAVLICPGM LICPGM(5724H72) LNG(*ALL) DEV(*SAVF) SAVF(QGPL/WMQV7BASE)
SAVLICPGM LICPGM(5724H72) OPTION(1) LNG(*ALL) DEV(*SAVF) SAVF(QGPL/WMQV7OPT1)
SAVLICPGM LICPGM(5724L26) LNG(*ALL) DEV(*SAVF) SAVF(QGPL/WMQV7JBASE)
SAVLICPGM LICPGM(5724L26) OPTION(1) LNG(*ALL) DEV(*SAVF) SAVF(QGPL/WMQV7JOPT1)

To upgrade to a WMQ V7.0.1 installation, you will need to download the new WMQ V7 installation image from Passport Advantage and then use standard slip install procedures as documented for WebSphere MQ V7.0.1 For more details, refer to "Quick Beginnings for i5/OS":

Once this is completed, the DSPMQMVER command or GO LICPGM menu, option 10 can be used to confirm that your WMQ V7 installation has been updated to VRM 7.0.1.

Regarding WMQ V7 Fix Packs, please consider the following:

- WMQ V7.0.0.1 and V7.0.0.2 Fix Packs
These can still be used to maintain your WMQ V7.0.0 installations, but they cannot be used with WMQ V7.0.1 installations.

- WMQ V7.0.1.x Fix Packs
These can be used with your WMQ V7.0.1 installations, but NOT with V7.0.0.x installations:

To use a WMQ V7.0.1.x Fix Pack with a WMQ V7.0.0.x installation, you must first upgrade your WMQ installation to V7.0.1.

For more information or technical assistance with WMQ V7.0.1 upgrades, please contact an IBM Technical Support representative.

[{"Product":{"code":"SSFKSJ","label":"WebSphere MQ"},"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Component":"Documentation","Platform":[{"code":"PF012","label":"IBM i"}],"Version":"7.0.1;7.0","Edition":"","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Product Synonym

WMQ MQ

Document Information

Modified date:
15 November 2019

UID

swg21396119